Ask for an AI generated answer to send to a social network user (V2)

V2 webhook to implement to send an AI generated answer to a social network user. This version supports custom exits and enhanced variable handling. This webhook can be protected by checking the api key with the value you defined in the bot configuration in Alcméon. The JWT token is valid for 60 seconds and allows only 1 API call.

Body Params
jwt
object
required

JWT token object to authenticate the callback and send the AI-generated answer back to Alcméon

string
required

The user's message content that the AI should respond to

string | null

Optional additional context that can be set via bot variables (variable name 'message_context') to provide extra information to the AI

session
object
required
social_media_user
object | null

Information about the social media user who sent the message

social_media_account
object | null

Information about the social media channel/account where the conversation is happening

exits
array of objects
required

List of available exits that the AI can choose from to determine the next step in the bot scenario

exits*
Responses

Language
Credentials
Header
Response
Choose an example:
application/json